import { useEffect, useState } from "react";
import { useAccount, useConnect } from "wagmi";
// import useWebThreeAuth from "./useWebThreeAuth";
export default function _useAccount() {
    // const { signer: webThreeAuthSigner, error: webThreeAuthError } =
    //   useWebThreeAuth();
    var _a = useAccount(), wagmiAddress = _a.address, wagmiConnector = _a.connector;
    var wagmiError = useConnect().error;
    var _b = useState(null), error = _b[0], setError = _b[1];
    var _c = useState(undefined), address = _c[0], setAddress = _c[1];
    var _d = useState(), connector = _d[0], setConnector = _d[1];
    // useEffect(() => {
    //   setError(webThreeAuthError || wagmiError?.message || null)
    //   if (webThreeAuthSigner) {
    //     webThreeAuthSigner.getAddress().then((_address) => {
    //       setAddress(_address);
    //       setConnector("Torus");
    //     });
    //   } else if (wagmiAddress && wagmiConnector) {
    //     setAddress(wagmiAddress);
    //     setConnector(wagmiConnector.name);
    //   } else {
    //     setAddress(undefined);
    //     setConnector(undefined);
    //   }
    // }, [webThreeAuthSigner, wagmiConnector, wagmiAddress, wagmiError, webThreeAuthError]);
    useEffect(function () {
        setError((wagmiError === null || wagmiError === void 0 ? void 0 : wagmiError.message) || null);
        if (wagmiAddress && wagmiConnector) {
            setAddress(wagmiAddress);
            setConnector(wagmiConnector.name);
        }
        else {
            setAddress(undefined);
            setConnector(undefined);
        }
    }, [wagmiConnector, wagmiAddress, wagmiError]);
    return { address: address, connector: connector, error: error, isConnected: !!address };
}
